curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances/{guidance_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a08b36-6a2e-7ba6-8346-7b64299ddeb2",
"organization_id": "01a08b36-6a2e-7ba6-8346-7b6567319560",
"agent_id": "01a08b36-6a2e-7ba6-8346-7b6610aadc5e",
"label": "Test AI Agent Guidance",
"instruction": "This is an AI agent guidance instruction",
"status": 1,
"category": 1,
"timestamp_created": "2026-09-10T12:06:34.286Z",
"timestamp_updated": "2026-09-10T12:06:34.286Z",
"basic_guidance_options": {
"tone": "professional",
"length": "standard"
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Get an AI Inbox Manager guidance
Retrieve a single guidance of an AI Inbox Manager.
Requires one of the following scopes: ai_agent_guidances:read, ai_agents:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Inbox Manager ID
"01a08b36-b23b-79f1-9558-8f35d47456bf"
Guidance ID
"01a08b36-b23b-79f1-9558-8f367d9d0aa3"
Response
The requested guidance
A guidance category or input box for an AI agent
Unique identifier for the AI agent guidance
"01a08b36-6a2e-7ba6-8346-7b64299ddeb2"
Organization ID
"01a08b36-6a2e-7ba6-8346-7b6567319560"
Associated AI Agent ID
"01a08b36-6a2e-7ba6-8346-7b6610aadc5e"
Label of the AI agent guidance
"Test AI Agent Guidance"
Instruction text for the AI agent guidance. Should be empty string for BASICS category.
"This is an AI agent guidance instruction"
Status of the AI agent guidance
1, 0 1
Category of the AI agent guidance
0, 1, 2, 3, 4 1
Timestamp when the AI agent guidance was created
"2026-09-10T12:06:34.286Z"
Timestamp when the AI agent guidance was updated
"2026-09-10T12:06:34.286Z"
Basic guidance options (tone, length, etc.) - only for BASICS category
Show child attributes
Show child attributes